#ifndef FLISBus_h
#define FLISBus_h

#include <inttypes.h>

class FLISBus
{
public:
  FLISBus(uint8_t pin);
  FLISBus(uint8_t pin, uint8_t active);
  void send(uint8_t node, void *data);
  void send(uint8_t *address, void *data);
  void sendNode(uint8_t domain, uint16_t subnet, uint8_t node, void *data);
  void sendGroup(uint8_t domain, uint8_t subnet, uint16_t group, void *data);
  void sendSerialNo(uint32_t serial, void *data);
private:
  void init(uint8_t pin, uint8_t active);
  void sendByte(uint8_t data);
  void sendBytes(uint8_t *data, uint8_t size);
  uint8_t _pin;
  uint8_t _active;
};

#endif
